Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.control
Annotation Type EBXMLControl.EbXML

    @Retention(value=RUNTIME)
    @Target(value={TYPE,FIELD})
    public static @interface EBXMLControl.EbXML

Specifies class-level annotations for the ebXML Control.

Note: For most attributes, annotations can also be specified at the instance and method level.The order of precedence is:
1. Control method level
2. Control instance level
3. Control class level

Required Element Summary
`String` | `serviceName` Name of an ebXML Service.

Optional Element Summary
`EBXMLControl.EbXML.ActionMode` | `ebXMLActionMode` Action Mode for the ebXML Message.Determines the value specified in the eb:Action element in the message header of the ebXML message, which becomes important in cases where multiple message exchanges occur within the same conversation.
`String` | `from` Business ID of the Initiator.
`String` | `to` Business ID of the Participant.
`XQuery.Version` | `xqueryVersion`

Element Detail

### serviceName

    public abstract String serviceName

  Name of an ebXML Service. For initiator and participant business processes that participate in the same conversation, the name must be identical.This service name corresponds to the eb:Service entry in the ebXML message envelope.

### from

    public abstract String from

  Business ID of the Initiator. This Id must match the business ID for the trading partner as defined in the Trading Partner Management Repository

  Default:
    "Not Specified"

### to

    public abstract String to

  Business ID of the Participant. This Id must match the business ID for the trading partner as defined in the Trading Partner Management Repository

  Default:
    "Not Specified"

### ebXMLActionMode

    public abstract EBXMLControl.EbXML.ActionMode ebXMLActionMode

  Action Mode for the ebXML Message.Determines the value specified in the eb:Action element in the message header of the ebXML message, which becomes important in cases where multiple message exchanges occur within the same conversation.

  DEFAULT - Sets the eb:Action element to SendMessage(default name)
  NON_DEFAULT - Sets the eb:Action element name to the name of the method(on the ebXML control) that sends the message in the initiator business process. For sending a message from the participant to the initiator, the method name in the callback interface for the client callback node in the participant business process must match the method name (on the ebXML control) in the control callback interface in the initiator business process. Using NON_DEFAULT is recommended to ensure recovery and high availability.

  If unspecified, the default action mode is set to NON_DEFAULT.

  Default:
    NON_DEFAULT

### xqueryVersion

    public abstract XQuery.Version xqueryVersion

  Default:
    v2004

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT